#include <Wire.h>
#include <LiquidCrystal_I2C.h>

// For these LCD controls to work you MUST replace the standard LCD library from...
// https://github.com/marcoschwartz/LiquidCrystal_I2C
// Direct download https://github.com/marcoschwartz/LiquidCrystal_I2C/archive/master.zip
// Your project will not compile until this is done.
LiquidCrystal_I2C lcd_I2C_27(0x27,16,2); // set the LCD address for a 16 chars and 2 line display

void setup(){  // put your setup code here, to run once:
  pinMode( 11 , OUTPUT);   // sets the digital pin as output
  pinMode( 10 , OUTPUT);   // sets the digital pin as output
  pinMode( 8 , OUTPUT);   // sets the digital pin as output
  pinMode( 9 , OUTPUT);   // sets the digital pin as output
  lcd_I2C_27.init (); // initialize the lcd
  lcd_I2C_27.backlight();
  pinMode( 4 , INPUT);   // sets the digital pin as input
  delay( 5 ); // waits a few milliseconds 

  for (int i = 0 ; i < 10  ; ++i ) {
    tone(12, 440, 1000); //buzzer or speaker frequency 
    delay( 500 ); // waits a few milliseconds 
  }

  lcd_I2C_27.clear();

  for (int i = 0 ; i < 10  ; ++i ) {
    digitalWrite( 11 , HIGH );  // sets the digital pin on/off
    digitalWrite( 10 , HIGH );  // sets the digital pin on/off
    digitalWrite( 8 , HIGH );  // sets the digital pin on/off
    digitalWrite( 9 , HIGH );  // sets the digital pin on/off
  }

  lcd_I2C_27.setCursor(0 , 0) ; // set the cursor, counting begins with 0 
  lcd_I2C_27.print( "Alarm Clock!" ); // Print a message to the LCD.

}

void loop(){  // put your main code here, to run repeatedly:
  if (digitalRead( 4 )) {
    digitalWrite( 11 , LOW );  // sets the digital pin on/off
    digitalWrite( 10 , LOW );  // sets the digital pin on/off
    digitalWrite( 8 , LOW );  // sets the digital pin on/off
    digitalWrite( 9 , LOW );  // sets the digital pin on/off
    lcd_I2C_27.clear();
    lcd_I2C_27.setCursor(0 , 0) ; // set the cursor, counting begins with 0 
    lcd_I2C_27.print( "Stop!" ); // Print a message to the LCD.
    delay( 3000 ); // waits a few milliseconds 
    lcd_I2C_27.clear();
  }
}
